Bug 736895 - Optimus isn't well supported
Optimus isn't well supported
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
15
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
[cat:modesetting]
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 22:06 EDT by Tim Wegener
Modified: 2012-08-07 11:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (38.45 KB, text/plain)
2011-09-08 22:26 EDT, Tim Wegener
no flags Details
Relevant excerpt from /var/log/messages (13.36 KB, text/plain)
2011-09-08 22:27 EDT, Tim Wegener
no flags Details

  None (edit)
Description Tim Wegener 2011-09-08 22:06:31 EDT
Description of problem:
An external monitor connected via the HDMI port is not detected under System Settings->Displays->Detect Displays.

This seems to be similar to Bug 691429, but in my case a HDMI output is not even listed in the xrandr output:

$ xrandr -q
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 194mm
   1920x1080      60.0*+   40.0  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.15.0-5.fc15.x86_64
xorg-x11-server-common-1.10.3-1.fc15.x86_64
kernel-2.6.40.4-5.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Connect external monitor to HDMI port
2. Go to System Settings->Displays
3. Click Detect Displays
  
Actual results:
External monitor is not detected.

Expected results:
External monitor should be detected and used.

Additional info:
Dell Latitude E6520
Intel® Core™ i7-2720QM CPU @ 2.20GHz × 8 
Intel® Sandybridge Mobile

The monitor has been used successfully with another laptop.

Booting with nomodeset did not help (but rather made things worse).
Turning off Optimus mode in the bios didn't help (but rather made things worse).
Comment 1 Tim Wegener 2011-09-08 22:25:31 EDT
More info:

$ lsmod |egrep 'nou|i915'
i915                  378728  2 
nouveau               545642  0 
ttm                    55273  1 nouveau
drm_kms_helper         26474  2 i915,nouveau
drm                   193923  5 i915,nouveau,ttm,drm_kms_helper
i2c_algo_bit            4974  2 i915,nouveau
i2c_core               25712  7 i2c_i801,videodev,i915,nouveau,drm_kms_helper,drm,i2c_algo_bit
mxm_wmi                 1727  1 nouveau
video                  12340  2 i915,nouveau

$ lspci -v |grep VGA
00:02.0 VGA compatible controller: Intel Corporation Device 0126 (rev 09) (prog-if 00 [VGA controller])
01:00.0 VGA compatible controller: nVidia Corporation Device 1056 (rev a1) (prog-if 00 [VGA controller])


FWIW, in case there is any chance that this is related/relevant: there have also been (ACPI?) problems with this laptop, e.g. it can't reboot (it just hangs at the final point where normally it should reboot).
Comment 2 Tim Wegener 2011-09-08 22:26:25 EDT
Created attachment 522230 [details]
Xorg log

Xorg log
Comment 3 Tim Wegener 2011-09-08 22:27:05 EDT
Created attachment 522231 [details]
Relevant excerpt from /var/log/messages
Comment 4 Adam Jackson 2011-10-11 12:13:27 EDT
Sorry, that's how Optimus works.  The non-LVDS digital outputs are only connected to the nvidia chip.
Comment 5 Ben Skeggs 2011-12-06 17:57:32 EST
It's also worth noting your NVIDIA GPU is GF119, which while the graphics part of the chip is still a Fermi (current generation codename), NVIDIA redesigned quite a lot of other areas (including the display).  This chipset was not supported in F15 (I don't think it was even around when F15 was released).

F16 and up support your chipset, and if you're willing to setup an xorg.conf with multiple X screens (ie. you won't be able to move windows between them) you should get some functionality out of your external monitor.
Comment 6 Tim Wegener 2011-12-18 23:22:29 EST
This should probably be marked as duplicate of Bug 691429.

FWIW, I worked around it by just using analog VGA instead of HDMI for the external monitor.
Comment 7 Fedora End Of Life 2012-08-07 11:37:53 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.